* {
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    font-size: 1.6rem;
    font-family: "Poppins", sans-serif;
}

/* Common */

a {
    text-decoration: none;
}
.content {
    width: 1170px;
    margin: auto;
}

.btn {
    cursor: pointer;
    border: none;
    padding: 12px 20px;
    border-radius: 10px;
    background: #b39359;
    color: #ffffff;
    font-size: 1.6rem;
    font-weight: 400;
}

.btn:hover {
    opacity: 0.8;
}
/* Header */

.fixed-header {
    background: #0b2c3d;
    padding-top: 50px;
    position: sticky;
    top: -50px;
    z-index: 1;
}
.fixed-header .logo {
    width: 120px;
    height: 55px;
    object-fit: cover;
}
.fixed-header .navbar {
    display: flex;
    align-items: center;
    padding: 8px 0;
}

.fixed-header ul {
    display: flex;
    gap: 40px;
    margin-left: auto;
}

.navbar ul a {
    color: white;
    font-size: 1.8rem;
    font-weight: 600;
}

.navbar ul a:hover {
    color: #b39359;
}
.navbar .avatar {
    cursor: pointer;
    margin-left: 20px;
    width: 40px;
    height: 40px;
    object-fit: cover;
    border-radius: 50%;
}

.navbar .btn {
    margin-left: 30px;
}

.navbar .avatar-block {
    position: relative;
}

.navbar .avatar-block:hover > .action-block {
    display: block;
}
.navbar .action-block {
    display: none;
    position: absolute;
    padding: 15px 30px;
    min-width: 192px;
    background-color: #e0e0b7;
    border-radius: 8px;
    opacity: 0.9;
    right: 0;
}

.navbar .action-block a {
    display: inline-block;
    color: #0b2c3d;
    font-size: 1.5rem;
    cursor: pointer;
}
.navbar .action-block .desc {
    padding-bottom: 10px;
}
/* Side bar */
.sidebar {
    position: relative;
    display: flex;
    justify-content: space-between;
    display: none;
}

.sidebar #list-item-sidebar {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}
.sidebar .menu {
    position: fixed;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: #b39359;
    width: 50%;
    padding: 10px;
    transform: translateX(100%);
    transition: all 0.5s ease;
}

.sidebar .cover-close {
    display: none;
    z-index: -1;
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background-color: black;
    opacity: 0.3;
}
.sidebar ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.sidebar #trigger {
    display: none;
}

.sidebar #trigger:checked ~ .cover-close{
    display: block;
}

.sidebar #trigger:checked ~ .menu{
    transform: translateX(0%);
}
.sidebar ul li a {  
    font-size: 2rem;
    color: #fff;
}

.sidebar .login-title,
.sidebar .signup-title {
    display: inline-block;
    font-size: 1.6rem;
    background-color: #0b2c3d;
    padding: 13px 20px;
    border-radius: 999px;
}
.sidebar-block .fa-xmark {
    cursor: pointer;
    position: absolute;
    font-size: 3rem;
    top: 8px;
    left: 8px;
    color: #fff;
}
.sidebar-block .fa-bars {
    cursor: pointer;
    font-size: 3rem;
    color: #fff;
    margin-top: 10px;
}
.sidebar .desc {
    font-size: 3rem;
    color: #0b2c3d;
}

.sidebar .profile-info,
.sidebar .real-estate-manage {
    color: #fff;
    font-size: 1.8rem;
}
.sidebar hr {
    width: 110px;
}
.sidebar .signout-sidebar {
    background-color: #0b2c3d;
    padding: 10px 20px;
    border-radius: 999px;
    cursor: pointer;
}
/* Introduce */
.intro {
    background-image: url(../img/background.avif);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 500px;
    width: 100%;
    opacity: 0.9;
}

.intro .content {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    color: #ffffff;
}

.intro .content .desc {
    text-align: center;
    font-weight: 700;
    font-size: 1.8rem;
}

.intro .title {
    font-weight: 600;
    font-size: 6.8rem;  
}
/* add real estate */
.estate {
    padding: 65px 0;
}

.estate .body .row {
    display: flex;
    justify-content: space-between;
    gap: 30px;
    margin-top: 40px;

}
.estate .body .item{
    flex: 1;
}

.estate .item .label-name {
    display: block;
    font-size: 2rem;
    font-weight: 600;
}
.estate .item .inp-value {
    margin-top: 20px;
    display: block;
    font-size: 1.6rem;
    width: 100%;
    padding: 15px;
    border: 1px solid green;
    border-radius: 10px;
    
}
.estate .item .select-value {
    display: block;
    margin-top: 20px;
    padding: 15px;
    width: 100%;
    font-size: 1.6rem;
    border: 1px solid green;
    border-radius: 10px;
    
}

.estate .desc-block {
    margin-top: 40px;
}
.estate .desc-block .inp-text-area {
    display: block;
    margin-top: 20px;
    padding: 15px;
    width: 100%;
    font-size: 1.6rem;
    border: 1px solid green;
    border-radius: 10px;
    
}
.estate .item {
    position: relative;
}
.estate #photo-upload{
    position: absolute;
    right: 0;
    margin-top: 20px;
    width: 150px;
    height: 150px;
    object-fit: cover;
    border-radius: 10px;
}
option {
    display: inline-block;
    border-radius: 20px;
    background-color: #0b2c3d;
    color: #ffffff;
}

.estate .btn-add-estate {
    background-color: #0b2c3d;
    width: 150px;
}
/* Footer */
.footer {
    background-color: #eee;
    padding: 120px 0;
    background: url(../img/footer.webp);
    background-size: contain;
    background-position: bottom;
    background-repeat: no-repeat;
}

.footer .content {
    display: flex;
}

.footer .left-footer {
    width: 34%;
}

.footer .right-footer {
    width: 66%;
}
.footer .left-footer .desc {
    width: 250px;
    margin-top: 25px;
    font-size: 1.6rem;
    line-height: 1.6;
    color: #494949;
    font-weight: 500;
}

.footer .left-footer .copyright {
    margin-top: 40px;
    font-size: 1.4rem;
    line-height: 1.6;
    color: #494949;
    font-weight: 500;
}

.footer .left-footer .copyright span {
    color: #b39359;
}

.right-footer {
    display: flex;
    justify-content: space-between;
}

.right-footer .title {
    font-size: 2.2rem;
}

.right-footer .list {
    margin-top: 30px;
}

.right-footer .list li {
    margin-top: 20px;
}

.right-footer .list a {
    font-size: 1.6rem;
    color: #494949;
}

.right-footer .social-block {
    margin-top: 20px;
    display: flex;
    gap: 20px;
}

.right-footer .social-block a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #0b2c3d;
    color: #eee;
}
@media screen and (max-width: 1200px) {
    .content {
        max-width: 970px;
    }
}
@media screen and (max-width: 970px) {
    .content {
        max-width: 95%;
    }

    /* intro */
    .intro .title {
        font-size: 4.5rem;
    }
    /* navbar */
    .fixed-header .navbar {
        display: none;
    }

    /* side bar */
    .sidebar {
        display: block;
        display: flex;
    }
    /* footer */
    .footer .content {
        flex-direction: column-reverse;
        justify-content: space-between;
        gap: 50px;
    }
    .footer .left-footer {
        width: 100%;
    }
    .footer .right-footer {
        width: 100%;
    }
}
@media screen and (max-width: 570px) {
    .content {
        width: 90%;
    }
    .intro .title {
        font-size: 2.5rem;
    }
    /* side bar */
    .sidebar .menu {
        width: 80%;
    }
    /* estate */
    .estate .row {
        flex-direction: column;
    }
    /* footer */
    .footer .right-footer {
    flex-wrap: wrap;
    align-items: center;
    gap: 50px;
}
}